Bug 129035 - rpm rebuild fails
rpm rebuild fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 08:48 EDT by Jean-Luc Fontaine
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 05:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Luc Fontaine 2004-08-03 08:48:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
$ rpmbuild -bb --clean vnc.spec
...
c++ -m32 -o XFree86 -O -pipe -march=pentium4 -ansi -pedantic -Wall
-Wpointer-arith -Wundef     -L../../exports/lib   xkb/xf86KillSrv.o
xkb/xf86VT.o xkb/xf86Private.o              ../.
./programs/Xserver/hw/xfree86/common/xf86Init.o
../../programs/Xserver/hw/xfree86/common/xf86IniExt.o
../../programs/Xserver/hw/xfree86/common/libxf86.a           
../../programs/Xser
ver/hw/xfree86/parser/libxf86config.a
../../programs/Xserver/hw/xfree86/os-support/libxf86_os.a
../../programs/Xserver/hw/xfree86/loader/libloader.a            
../../programs/Xserver
/hw/xfree86/common/libxf86.a dix/libdix.a os/libos.a
../../exports/lib/libXau.a ../../exports/lib/libXdmcp.a          
../../lib/font/fontbase.o                  ../../lib/font/libfon
tbase.a Xext/libexts.a xkb/libxkb.a Xi/libxinput.a                  
lbx/liblbx.a                   ../../lib/lbxutil/liblbxutil.a
vnc/libvnc.a ../../../rfb/librfb.a                  
  ../../../Xregion/libXregion.a                   
../../../network/libnetwork.a                    ../../../rdr/librdr.a
../../programs/Xserver/hw/xfree86/common/libxf86.a           
Xext/libexts.a xkb/libxkb.a Xi/libxinput.a                  
lbx/liblbx.a                   ../../lib/lbxutil/liblbxutil.a
vnc/libvnc.a ../../../rfb/librfb.a                    ../../
../Xregion/libXregion.a                   
../../../network/libnetwork.a                    ../../../rdr/librdr.a
randr/librandr.a render/librender.a dix/libxpstubs.a mi/libmi.a Xext/
libexts.a xkb/libxkb.a Xi/libxinput.a                   lbx/liblbx.a 
                 ../../lib/lbxutil/liblbxutil.a vnc/libvnc.a
../../../rfb/librfb.a                    ../../../Xr
egion/libXregion.a                    ../../../network/libnetwork.a  
                 ../../../rdr/librdr.a randr/librandr.a
render/librender.a  ../../programs/Xserver/hw/xfree86/os-
support/libxf86_os.a     -lz -lm                    -rdynamic -ldl 
-Wl,-rpath-link,../../exports/lib
c++: ../../programs/Xserver/hw/xfree86/os-support/libxf86_os.a: No
such file or directory
c++: ../../programs/Xserver/hw/xfree86/os-support/libxf86_os.a: No
such file or directory
make[4]: *** [XFree86] Error 1


Version-Release number of selected component (if applicable):
vnc-4.0-1.beta4.11

How reproducible:
Always

Steps to Reproduce:
1. rebuild vnc src rpm
2.
3.
    

Additional info:
Comment 1 Tim Waugh 2004-08-03 09:18:00 EDT
Can you reproduce this with the current rawhide package (vnc-4.0-3)?
Comment 2 Jean-Luc Fontaine 2004-08-04 03:49:27 EDT
With 4.0.3, it goes further but still fails with:
Processing files: vnc-server-4.0-3
error: File not found: /var/tmp/vnc-4.0-root/usr/bin/Xvnc
error: File not found by glob:
/var/tmp/vnc-4.0-root/usr/share/man/man1/Xvnc.1*
RPM build errors:
    File not found: /var/tmp/vnc-4.0-root/usr/bin/Xvnc
    File not found by glob:
/var/tmp/vnc-4.0-root/usr/share/man/man1/Xvnc.1*

Scrolling up the output:
...
Wed Aug  4 09:31:10 CEST 2004
Full build of Release 6.7 complete.
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.64323
+ umask 022
+ cd /home/JLFON33E/redhat/BUILD
+ cd vnc-4.0-unixsrc
+ rm -rf /var/tmp/vnc-4.0-root
+ bin=/var/tmp/vnc-4.0-root/usr/bin
+ man=/var/tmp/vnc-4.0-root/usr/share/man
+ ext=/var/tmp/vnc-4.0-root/usr/X11R6/lib/modules/extensions
+ mkdir -p /var/tmp/vnc-4.0-root/usr/bin
/var/tmp/vnc-4.0-root/usr/share/man
/var/tmp/vnc-4.0-root/usr/share/man/man1
/var/tmp/vnc-4.0-root/usr/X11R6/lib/modules/extens
ions
+ ./vncinstall /var/tmp/vnc-4.0-root/usr/bin
/var/tmp/vnc-4.0-root/usr/share/man
/var/tmp/vnc-4.0-root/usr/X11R6/lib/modules/extensions
Couldn't find xc/programs/Xserver/Xvnc
Copying vncviewer/vncviewer to /var/tmp/vnc-4.0-root/usr/bin
...

Looking into build directories:

$ find ../BUILD/ -name Xvnc
../BUILD/vnc-4.0-unixsrc/xc/programs/Xserver/vnc/Xvnc

$ ls -l /var/tmp/vnc-4.0-root/usr/bin
total 848
-rwxr-xr-x  1 JLFON33E users  87167 Aug  4 09:31 vncconfig*
-rwxr-xr-x  1 JLFON33E users  14600 Aug  4 09:31 vncconfig.py*
-rwxr-xr-x  1 JLFON33E users  16049 Aug  4 09:31 vncpasswd*
-rwxr-xr-x  1 JLFON33E users  13871 Aug  4 09:21 vncserver*
-rwxr-xr-x  1 JLFON33E users 423838 Aug  4 09:31 vncviewer*
-rwxr-xr-x  1 JLFON33E users 299154 Aug  4 09:31 x0vncserver*

Please let me know if you need me patching the spec file or something
else (I am not bad with spec files (I got my software, moodss, in
Fedora stable)).

Thanks for you help. Jean-Luc
Comment 3 Jean-Luc Fontaine 2004-08-04 04:33:59 EDT
$ find ../BUILD/ -name Xvnc
../BUILD/vnc-4.0-unixsrc/xc/programs/Xserver/vnc/Xvnc

actually, the above is a directory:
$ ls -l ../BUILD/vnc-4.0-unixsrc/xc/programs/Xserver/vnc/Xvnc/
total 136
-rw-r--r--  1 JLFON33E users   829 May 30  2003 buildtime.c
-rw-r--r--  1 JLFON33E users   707 Aug  4 10:16 buildtime.o
-rw-r--r--  1 JLFON33E users  1963 Aug 11  2003 Imakefile
-rw-r--r--  1 JLFON33E users 24868 Aug  4 10:16 libxvnc.a
-rw-r--r--  1 JLFON33E users 30889 Aug  4 10:11 Makefile
lrwxrwxrwx  1 JLFON33E users    43 Aug  4 10:11 miinitext.c ->
../../../../programs/Xserver/mi/miinitext.c
-rw-r--r--  1 JLFON33E users  2132 Aug  4 10:16 miinitext.o
lrwxrwxrwx  1 JLFON33E users    16 Aug  4 10:11 stubs.c ->
../../Xi/stubs.c
-rw-r--r--  1 JLFON33E users   997 Aug  4 10:16 stubs.o
-rw-r--r--  1 JLFON33E users 32959 Jun 11 16:45 xvnc.cc
-rw-r--r--  1 JLFON33E users 20196 Aug  4 10:16 xvnc.o
Comment 4 Tim Waugh 2004-08-04 05:21:51 EDT
vnc-4.0-3 rebuilds fine for me on current rawhide, so I guess this is
triggered by something particular to FC2.

Note You need to log in before you can comment on or make changes to this bug.